<?php use_helper('UrlFunctions'); 

?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>

	function loadProvincias(destino,idDept,idProv){
		$(destino).options.length = 1;
		$('cboDisitrio').options.length = 1;
		var url = '<?=buildUrl('ajax/request')?>';
		var pars = 'type=getProvincias&nombreElm='+destino+'&value='+idDept+'&Edefault='+idProv;
		  
		var myAjax = new Ajax.Request(
		                       		url, 
		                          		{
		                          			method: 'get', 
		                           			parameters: pars, 
		                          			onComplete: actualizaJSON
		                           		});	
	}
	
	function loadDistritos(destino,idProv,idDist){
		$(destino).options.length = 1;
		var url = '<?=buildUrl('ajax/request')?>';
		var pars = 'type=getDistritos&nombreElm='+destino+'&value='+idProv+'&Edefault='+idDist;
		  
		var myAjax = new Ajax.Request(
		                       		url, 
		                          		{
		                          			method: 'get', 
		                           			parameters: pars, 
		                          			onComplete: actualizaJSON
		                           		});	
	}
	
actualizaJSON = function(request, json){
	  var numeroElementos = json.length;
	  for (var i = 0; i < numeroElementos; i++){
	    if($(json[i][0])){
	  	  switch ($(json[i][0]).tagName){
	  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
	  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
	  	    case 'SELECT'  : 
	  	      var objDDL = $(json[i][0]);
	  	      if(typeof(cont) == 'undefined'){
	  	        var cont = 0;
	  	        objDDL.options.length = 1;
	  	      }
	  	      var a_contentValues = json[i][1].split("_;_");
	      	  var value	= a_contentValues[0];
	      	  var text	= a_contentValues[1];
	      	  var selct	= a_contentValues[2];
	      	  if( selct == 'selected'){
	      	  	alert('xxxxxxxxxxxxxxxxxxxxxx'+value);
	  	      	var option	= new Option(text,value,"defauldSelected");
	      	  }else{
	      	  	var option	= new Option(text,value);
	      	  }
	      		try{
	      			objDDL.add(option,null);
	      		}catch (e){
	      			objDDL.add(option,-1);
	      		}
	  	      cont++;
	  	    break;
	  	  }
	    }else{
	      if(json[i][0].indexOf("function") > -1){
	        eval("scriptEval = "+json[i][0]);
	        scriptEval();
	      }
	    }
	  }
	}
</script>
<?php
//echo myUser::getUser()->getRoleId();
//error_reporting(E_ALL);
//ini_set('display_errors','On'); //PARA PRODUCCION "Off"
function eliminar_acento ( $cadena )
{
    $originales  = 'ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõöøùúûýýþÿŔŕ';
    $modificadas = 'aaaaaaaceeeeiiiidnoooooouuuuybsaaaaaaaceeeeiiiidnoooooouuuyybyRr';
    $cadena = utf8_decode($cadena);
    $cadena = strtr($cadena, utf8_decode($originales), $modificadas);
    $cadena = strtolower($cadena);
    return utf8_encode( stripAccents( $cadena ) );
}
function stripAccents( $string )
{
    return strtr($string,'àáâãäçèéêëìíîïñòóôõöùúûüýÿÀÁÂÃÄÇÈÉÊËÌÍÎÏÑÒÓÔÕÖÙÚÛÜÝ','aaaaaceeeeiiiinooooouuuuyyAAAAACEEEEIIIINOOOOOUUUUY');
}
if(isset($control)){
	$size_file      = $_FILES['Archivo']['size']; //: tamaño en bytes del archivo recibido
    $type_file      = $_FILES['Archivo']['type']; //: tipo mime del archivo, por ejemplo image/gif
    $name_file      = eliminar_acento( $_FILES['Archivo']['name'] ); //: nombre original del archivo
    $dir_tmp_name   = $_FILES['Archivo']['tmp_name']; //: nombre del archivo temporal que se utiliza para almacenar en
    if($size_file){
		//VALIDACION - VARIOS
		if( $size_file > 2048000 )
		{
		    //throw new Exception( "No se permite Archivos mayores a 2MB." );
		}
		if( $dir_tmp_name == "" )
		{
		    throw new Exception( "No se puede guardar este Archivo." );
		}
		///////////////////////////////////
    
		$s_DirImages = $_SERVER['DOCUMENT_ROOT']."/images/uploadFiles/";
	
	    $prefijo 		= substr( md5( uniqid( rand() ) ), 0, 6 );
	    $name_file    	= $prefijo."_".$name_file;
	    $destino 		=  $s_DirImages.$name_file;
	    $a_name_file_t = explode(".",$name_file);
	    $name_file_t = $a_name_file_t[0];
    }
  
	$o_PlaEmpresaDP = new PlaEmpresaDP();
	$o_PlaEmpresaDP->setIdEmpresa($id);
	$o_PlaEmpresaDP->setDescripcion($Descripcion);
	$o_PlaEmpresaDP->setRUC($RUC);
	$o_PlaEmpresaDP->setRutaLogo( $destino );
	$o_PlaEmpresaDP->setEstado( $cboEstado );
	$o_PlaEmpresaDP->setFechamodificacion( date( "Y-m-d H:i:s" ) );
	$o_PlaEmpresaDP->setUsuariomodificacion( $s_User );
	$b_Result = $o_PlaEmpresaDP->update();
 	
	
  	
    if($b_Result)
    {
    	$o_file = new utilFile();
		$o_file->subir_docinfo($_FILES,'Archivo',$name_file_t,$s_DirImages);
		
	        if( $typeSubmit == "next" )
	        {
	            ?>
	            <script language="JavaScript">
	            location.href = "<?php echo buildUrl( 'empresa/listcol', "id={$id}" ) ?>";
	            </script>
	            <?
	        }
	        else 
	        {
	            ?>
	            <script language="JavaScript">
	            location.href = "<?php echo buildUrl( 'empresa/editempresa', "id={$id}" ) ?>";
	            </script>
	            <?
	        }
		
    }
    else
    {
        //$url = buildUrl('cli/add', "block=".$block."&error=1");
        echo '<div class="ui-widget" style="margin: 2px;"><div class="ui-state-error ui-corner-all" style="padding: 0 .7em;"><p><span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span><strong>Error:</strong>Error en actualizar el cliente.</p></div></div>';
    }
}

 

$o_PlaEmpresaFN = new PlaEmpresaFN();
$o_PlaEmpresaFN->setIdempresa($id);
$a_ObjectBean = $o_PlaEmpresaFN->select();


if(is_array($a_ObjectBean)){
  while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
  	$a_RutaLogo = explode("/",$o_ObjectBean->getRutaLogo());
  	$nombre = $a_RutaLogo[count($a_RutaLogo)-1];
  	$s_DirImages = "/images/uploadFiles/".$nombre;
 	
?>
<table class="cuerpo" width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td valign="top">
			 <form id="form1" name="form1" method="POST" enctype="multipart/form-data">
				<input type="hidden" name="control" value="1">
			  
                        <?php
                        $s_Param = '';
                        if( isset( $id ) )
                        {
                            $s_Param = 'id='.$id;
                        }
                        ?>
			  
                        <table id="tabShowScan" cellpadding="0" cellspacing="0" class="" style="margin-top: 5px;">
                            <tr>
                              <td class="mnuActivoIzq" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="7"></td>
                              <td class="mnuActivoTxt" type='maintTabguiaGeneral' nowrap onclick="location.href='<?php echo buildUrl('empresa/editempresa', $s_Param) ?>';">Empresa</td>
                              <td class="mnuActivoDer" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="10"></td>
							  
                              <?php if( isset( $id ) && $id != "" ){ ?>
                              <td class="mnuInactivoIzq" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="7"></td>
                              <td class="mnuInactivoTxt" type='maintTabguiaGeneral' nowrap onclick="location.href='<?php echo buildUrl('empresa/listcol', $s_Param) ?>';">Colaboradores</td>
                              <td class="mnuInactivoDer" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="10"></td>
                              <td class="mnuSep"><img src="/images/common/spacer.gif"></td>
                        <?php } ?>
                            </tr>
                        </table>
			  
                        <table width="100%" cellspacing="2" cellpadding="2" border="0" class="marco" style="width:100%">
							
						
                            <tr>
                                <td nowrap="nowrap">
                                    
                                        
                                    	<table width="100%">
                                    	
                                            <tr>
                                                <td width="50%">
    
                                                    <table width="100%" cellpadding="5" border="0">
                                                      
                                                        <tr>
                                                            <td width="12%"><label class="label">Descripcion </label></td>
                                                            <td><input class="text required" id="Descripcion" name="Descripcion" size="40" type="text" class="text" value="<?php echo $o_ObjectBean->getDescripcion();?>"/></td>
                                                        </tr>
                                                        <tr>
                                                            <td width="12%"><label class="label">RUC </label></td>
                                                            <td><input class="text required" id="RUC" name="RUC" size="40" type="text" class="text" value="<?php echo $o_ObjectBean->getRUC();?>"/></td>
                                                        </tr>
                                                        <tr>
                                                            <td width="12%"><label class="label">Logo </label></td>
                                                            <td><img width="20%" height="20%" src="<?php echo $s_DirImages;?>"/></td>
                                                        </tr>
                                                        <tr>
			                                            	
				                                            <td nowrap="nowrap" colspan="2">
				                                                <input type="file" class="text" name="Archivo" id="Archivo" style="height: auto;"/><br>
				                                            </td>
				                                        </tr>
                                                        <tr>
                                                            <td><label class="label" >Estado</label></td>
                                                            <td>
                                                                <select name="cboEstado" id="cboEstado" type="text" class="combo"/> 
                                                                    <option value="" >Seleccione</option>
                                                                    <option value="A" <?php  if($o_ObjectBean->getEstado() == 'A') echo "selected='selected'"?>>Activo</option>
                                                                    <option value="I" <?php  if($o_ObjectBean->getEstado() == 'I') echo "selected='selected'"?>>Inactivo</option>
                                                                </select>
                                                            </td>
                                                        </tr>
													</table>
                                                </td>       
                                            </tr>
                                            
                                            
                                    	
                                    	</table>
                                    	
                                    	
                                    
                                    
                                	 <table width="100%" border="0" cellspacing="0" cellpadding="0">
											<tr>
												<td><img src="/images/common/spacer.gif" width="10"></td>
											</tr>
											<tr>
												<td align="center">
													<input type="hidden" name="typeSubmit" id="typeSubmit">
													<input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='ok';">
													<input class="button" type="submit" value="Grabar y Siguiente" onclick="$('typeSubmit').value='next';">
													<input class="button" type="button" value="Siguiente" onclick="location.href='<?php echo buildUrl('empresa/listcol', $s_Param) ?>'"/>
													<input class="button" type="button" value="Cancelar" onclick="location.href='<?php echo buildUrl('empresa/list', $s_Param."&block=002") ?>'"/>
												</td>
											</tr>
											<tr>
												<td height="10">&nbsp;</td>
											</tr>
									</table>   
                                </td>
                            </tr>
                        </table>
                        
                        
                        
							      
				
			</form>
				<script type="text/javascript">
					var valid = new Validation('form1', {immediate : true});
				</script>
		</td>
	</tr>
</table>


<?php
  }
}
?>
<script>
	//loadProvincias('cboProvincia','<?=$idDpto?>','<?=$idProv?>');
	//loadDistritos('cboDisitrio','<?=$idProv?>','<?=$idDist?>');
</script>

